Subject: bug#79308: 30.2; Maximum buffer size exceeded when running package-list-packages

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Aug 2025 15:33:28 +0300

> Date: Wed, 27 Aug 2025 10:01:39 +0200
> Cc: [email-masked]
> From: Enrico Rivarola <[email-masked]>
> 
> Thanks for response,
> I tried recompiling Emacs, but I still have the problem.
> Maybe the problem is related to something on my system, but I don't know.
> For now, I've solved it by setting 'custom-file' to a 'real' file (e.g "my-custom.el" in 
> 'user-emacs-directory').
> I found two messages that refer to the same problem on 'help-gnu-emacs' archive for the Emacs 30 
> series:
> * "Maximum buffer size exceeded when running package-list-packages"
>    https://lists.gnu.org/archive/html/help-gnu-emacs/2025-03/msg00343.html
> * "Maximum buffer size message on Emacs 30.1"
>    https://lists.gnu.org/archive/html/help-gnu-emacs/2025-03/msg00187.html

Any reason why you use null-device for this purpose?  If you don't
want to save your customizations between sessions, simply don't select
the "Save for future sessions" action.